using Vintagestory.API.Config;
using Vintagestory.API.Common;
using Vintagestory.GameContent;

namespace GliderVariations
{
    public class GliderVariationsSystem : ModSystem
    {
        public override void Start(ICoreAPI api)
        {
            base.Start(api);

            api.RegisterItemClass("ItemGliderVanillaName", typeof(ItemGliderVanillaName));
            api.World.Logger.Event("started 'Glider Variations' mod");
        }
    }

    public class ItemGliderVanillaName : ItemGlider
    {
        public override string GetHeldItemName(ItemStack stack)
        {
            return Lang.Get("item-glider");
        }
    }
}